org.eclipse.graphiti.mm.algorithms.util

## Class AlgorithmsAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.graphiti.mm.algorithms.util.AlgorithmsAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class AlgorithmsAdapterFactory
    extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `AlgorithmsPackage`

### Constructor Summary

Constructors
Constructor and Description
`AlgorithmsAdapterFactory()` Creates an instance of the adapter factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.Adapter` `createAbstractStyleAdapter()` Creates a new adapter for an object of class '`Abstract Style`'.
`org.eclipse.emf.common.notify.Adapter` `createAbstractTextAdapter()` Creates a new adapter for an object of class '`Abstract Text`'.
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createEllipseAdapter()` Creates a new adapter for an object of class '`Ellipse`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createGraphicsAlgorithmAdapter()` Creates a new adapter for an object of class '`Graphics Algorithm`'.
`org.eclipse.emf.common.notify.Adapter` `createGraphicsAlgorithmContainerAdapter()` Creates a new adapter for an object of class '`Graphics Algorithm Container`'.
`org.eclipse.emf.common.notify.Adapter` `createImageAdapter()` Creates a new adapter for an object of class '`Image`'.
`org.eclipse.emf.common.notify.Adapter` `createMultiTextAdapter()` Creates a new adapter for an object of class '`Multi Text`'.
`org.eclipse.emf.common.notify.Adapter` `createPlatformGraphicsAlgorithmAdapter()` Creates a new adapter for an object of class '`Platform Graphics Algorithm`'.
`org.eclipse.emf.common.notify.Adapter` `createPolygonAdapter()` Creates a new adapter for an object of class '`Polygon`'.
`org.eclipse.emf.common.notify.Adapter` `createPolylineAdapter()` Creates a new adapter for an object of class '`Polyline`'.
`org.eclipse.emf.common.notify.Adapter` `createPropertyContainerAdapter()` Creates a new adapter for an object of class '`Property Container`'.
`org.eclipse.emf.common.notify.Adapter` `createRectangleAdapter()` Creates a new adapter for an object of class '`Rectangle`'.
`org.eclipse.emf.common.notify.Adapter` `createRoundedRectangleAdapter()` Creates a new adapter for an object of class '`Rounded Rectangle`'.
`org.eclipse.emf.common.notify.Adapter` `createTextAdapter()` Creates a new adapter for an object of class '`Text`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AlgorithmsAdapterFactory

    public AlgorithmsAdapterFactory()

Creates an instance of the adapter factory.

### Method Detail

#### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.

#### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.

#### createGraphicsAlgorithmAdapter

    public org.eclipse.emf.common.notify.Adapter createGraphicsAlgorithmAdapter()

Creates a new adapter for an object of class '`Graphics Algorithm`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `GraphicsAlgorithm`

#### createPolylineAdapter

    public org.eclipse.emf.common.notify.Adapter createPolylineAdapter()

Creates a new adapter for an object of class '`Polyline`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Polyline`

#### createEllipseAdapter

    public org.eclipse.emf.common.notify.Adapter createEllipseAdapter()

Creates a new adapter for an object of class '`Ellipse`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Ellipse`

#### createTextAdapter

    public org.eclipse.emf.common.notify.Adapter createTextAdapter()

Creates a new adapter for an object of class '`Text`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Text`

#### createPolygonAdapter

    public org.eclipse.emf.common.notify.Adapter createPolygonAdapter()

Creates a new adapter for an object of class '`Polygon`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Polygon`

#### createRectangleAdapter

    public org.eclipse.emf.common.notify.Adapter createRectangleAdapter()

Creates a new adapter for an object of class '`Rectangle`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Rectangle`

#### createRoundedRectangleAdapter

    public org.eclipse.emf.common.notify.Adapter createRoundedRectangleAdapter()

Creates a new adapter for an object of class '`Rounded Rectangle`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `RoundedRectangle`

#### createImageAdapter

    public org.eclipse.emf.common.notify.Adapter createImageAdapter()

Creates a new adapter for an object of class '`Image`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Image`

#### createPlatformGraphicsAlgorithmAdapter

    public org.eclipse.emf.common.notify.Adapter createPlatformGraphicsAlgorithmAdapter()

Creates a new adapter for an object of class '`Platform Graphics Algorithm`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `PlatformGraphicsAlgorithm`

#### createAbstractTextAdapter

    public org.eclipse.emf.common.notify.Adapter createAbstractTextAdapter()

Creates a new adapter for an object of class '`Abstract Text`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `AbstractText`

#### createMultiTextAdapter

    public org.eclipse.emf.common.notify.Adapter createMultiTextAdapter()

Creates a new adapter for an object of class '`Multi Text`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `MultiText`

#### createPropertyContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createPropertyContainerAdapter()

Creates a new adapter for an object of class '`Property Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `PropertyContainer`

#### createGraphicsAlgorithmContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createGraphicsAlgorithmContainerAdapter()

Creates a new adapter for an object of class '`Graphics Algorithm Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `GraphicsAlgorithmContainer`

#### createAbstractStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createAbstractStyleAdapter()

Creates a new adapter for an object of class '`Abstract Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `AbstractStyle`

#### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.